libdevice User's Guide (PDF) - v9.2.148 (older) - Last updated June 12, 2018 - Send Feedback

## 3.59. __nv_double2uint_rd

Prototype:

    i32 @__nv_double2uint_rd(double %d)

Description:

Convert the double-precision floating point value `x` to an unsigned integer value in round-down (to negative infinity) mode.

Returns:

Returns converted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes